Get geography structure for the country

get

https://{FusionAppsHost}/crmRestApi/atcProductCatalog/11.13.18.05/productCatalogManagement/v1/geographyStructure/{countryCode}

API get of geography structure for the country

Request

Path Parameters

There's no request body for this operation.

Back to Top

Response

Supported Media Types

200 Response

OK
Body ()
Root Schema : GeographyStructure
Type: object
Title: GeographyStructure
Geography Structure Oracle
Show Source

400 Response

Your request couldn't be processed because it contains missing or invalid information, such as a validation error on an input field, a missing required value, and so forth.
Body ()
Root Schema : Error
Type: object
Title: Error
Show Source

401 Response

Your request isn't authorized. The authentication credentials included with this request are missing or invalid.
Body ()
Root Schema : Error
Type: object
Title: Error
Show Source

404 Response

Your request includes a resource URI that doesn't exist.
Body ()
Root Schema : Error
Type: object
Title: Error
Show Source

405 Response

HTTP action specified in the request (DELETE, GET, POST, PUT) isn't supported for this request URI.
Body ()
Root Schema : Error
Type: object
Title: Error
Show Source

500 Response

The server encountered something unexpected that prevented it from completing the request.
Body ()
Root Schema : Error
Type: object
Title: Error
Show Source
Back to Top

Examples

The following example shows how to retrieve details of a geography structure of a country by submitting a GET request on the REST resource using cURL.

curl -u username:password -X GET https://{FusionAppsHost}/crmRestApi/atcProductCatalog/11.13.18.05/productCatalogManagement/v1/geographyStructure/{countryCode}

Example of Response Body

The following example shows the contents of the response body in JSON format.

[
    {
        "geographyType": "CITY",
        "parentGeographyType": "DISTRICT",
        "locComponent": "CITY"
    },
    {
        "geographyType": "DISTRICT",
        "parentGeographyType": "STATE",
        "locComponent": "COUNTY"
    },
    {
        "geographyType": "STATE",
        "parentGeographyType": "COUNTRY",
        "locComponent": "STATE"
    },
    {
        "geographyType": "STREET",
        "parentGeographyType": "CITY"
    },
    {
        "geographyType": "COUNTRY",
        "locComponent": "COUNTRY"
    }
]
Back to Top